Show / Hide Table of Contents

# Struct Quarternion

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Graphics

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct Quarternion

### Fields

| Improve this Doc View Source

#### W

##### Declaration

    public float W

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### X

##### Declaration

    public float X

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### Y

##### Declaration

    public float Y

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### Z

##### Declaration

    public float Z

##### Field Value

Type | Description
--- | ---
System.Single |

### Operators

| Improve this Doc View Source

#### Implicit(Quarternion to Quaternion)

##### Declaration

    public static implicit operator Quaternion(Quarternion quat)

##### Parameters

Type | Name | Description
--- | --- | ---
Quarternion | quat |

##### Returns

Type | Description
--- | ---
System.Numerics.Quaternion |